_root.allSections = ["preloader","title","instructions","levelPrompt","mainGame","adPage","gWin","gLose","lSelect","hiScores"];
_root.menuSet = ["playGameMC","hiScoresMC","instructMC","tellFriendMC"];
_root.levelSet = ["easyMC","medMC","hardMC"];
_root.section = 1;
_global.keyCatcher = new Object();
_global.menuKey = new Object();
_global.dirs = ["LEFT","RIGHT","UP","DOWN"];
var stageW = 700;
var stageH = 400;
var mItem = 0;
_global.busy = false;
_global.gPlay = true;
_global.gPause = false;
_global.gClear = false;
_root.gEnd = false;
_root.gPaused = false;
_root.score = 0;
_root.gotkey = false;
_root.scorRay = [0,0,0,0,0];
var lvlClear = false;
_root.pXPositions = [130,280,430];
_root.pYPositions = [[120,80,120],[180,230,180]];
_root.pPosX = 1;
_root.pPosY = 1;
_root.old_pPosX = _root.pPosX;
_root.old_pPosY = _root.pPosY;
_root.whompin = false;
_root.objStartPositions = [[155,-25,40],[525,-25,40],[-55,380,120],[685,380,120],[120,430,140],[515,430,140]];
_root.objEndPositions = [[195,115,100],[435,115,100],[60,210,100],[560,210,100],[210,260,100],[420,260,100]];
_root.eggSpots = [1,1,1,1,1,1];
_root.gophersOnStage = [0,0,0,0,0,0];
_root.allEggs = 6;
var bonusList = [1500,3000,4500,6000,8000,10000];
var bVal = 1;
_root.bonusGo = false;
_root.bonusDrop = false;
_root.bPosX = 1;
_root.bPosY = 1;
_root.bLanded = false;
_root.ppPosX = null;
_root.ppPosY = null;
_root.ppGo = false;
_root.cGrabbed = false;
var bFallY = 150;
var lives = 3;
var level = 1;
var levelMax = 10;
var misses = 2;
_root.delayVal = 95;
_root.delayMax = 100;
var objCount = 5 + (level - 1) * 5;
if(objCount > 60)
{
   objCount = 60;
}
var onStage = 0;
var ObjsDepth = 0;
var objsArray = [];
var objMax = level;
var objNum = 0;
_root.objDelayVal = 45;
_root.objDelayMax = 50;
_root.lifeFlag = false;
_global.resetGame = function()
{
   _root.eggSpots = [1,1,1,1,1,1];
   _root.allEggs = 6;
   _root.lifeFlag = false;
   _root.bonusGo = false;
   _global.busy = false;
   _global.gPlay = true;
   _global.gPause = false;
   _global.gClear = false;
   _root.gEnd = false;
   _root.gPaused = false;
   _root.scorRay = [0,0,0,0,0];
   score = 0;
   bVal = 1;
   lives = 3;
   level = 1;
   misses = 0;
};
_global.resetRound = function()
{
   _root.gophersOnStage = [0,0,0,0,0,0];
   gPlay = true;
   gPause = false;
   _root.bPosX = 1;
   _root.bPosY = 1;
   _root.allGophers = 0;
   if(level == 1)
   {
      _root.addGamePlay();
      objCount = 5 + (level - 1) * 5;
   }
   else if(level >= 2 and level <= 5)
   {
      objCount = 8 + (level - 1) * 10;
   }
   else if(level >= 6 and level <= 10)
   {
      objCount = 10 + (level - 1) * 15;
   }
   if(objCount > 100)
   {
      objCount = 100;
   }
   onStage = 0;
   ObjsDepth = 0;
   objsArray = [];
   objMax = level;
   if(objMax > 10)
   {
      objMax = 10;
   }
   objNum = 0;
   _root.pPosX = 1;
   _root.pPosY = 1;
   displayLevel();
   displayScore();
   displayLives();
   displayLeft();
};
_global.callSection = function()
{
   var _loc2_ = _root.allSections[_root.section];
   _root.gotoAndPlay(_loc2_);
};
_global.setMenuParams = function()
{
   if(_root.section == 1)
   {
      _root.wNavSet = _root.menuSet;
      _root.aLength = wNavSet.length - 1;
   }
};
_global.setOldNav = function()
{
   var _loc2_ = _root.wNavSet[mItem];
   world[_loc2_].gotoAndPlay("turnOff");
};
_global.setNewNav = function()
{
   var _loc2_ = _root.wNavSet[mItem];
   world[_loc2_].gotoAndPlay("on");
};
menuKey.onKeyDown = function()
{
   var _loc3_ = dirs.length;
   var _loc2_ = 0;
   while(_loc2_ < _loc3_)
   {
      if(Key.getCode() == Key[dirs[_loc2_]])
      {
         if(dirs[_loc2_] == "LEFT")
         {
            setOldNav();
            mItem--;
            if(mItem < 0)
            {
               mItem = _root.aLength;
            }
         }
         else if(dirs[_loc2_] == "RIGHT")
         {
            setOldNav();
            mItem++;
            if(mItem > _root.aLength)
            {
               mItem = 0;
            }
         }
         setNewNav();
      }
      _loc2_ = _loc2_ + 1;
   }
   if(Key.getCode() == 32)
   {
      if(_root.section == 1)
      {
         if(mItem == 0)
         {
            _root.section = 5;
         }
         else if(mItem == 1)
         {
            _root.section = 9;
         }
         else if(mItem == 2)
         {
            _root.section = 2;
         }
         else if(mItem == 3)
         {
         }
      }
      gotoAndPlay(_root._currentFrame + 1);
   }
};
keyCatcher.onKeyDown = function()
{
   if(gPlay == true and gPause == false and _root.whompin == false)
   {
      var _loc4_ = dirs.length;
      var _loc3_ = 0;
      while(_loc3_ < _loc4_)
      {
         if(Key.getCode() == Key[dirs[_loc3_]] && gPlay == true and busy == false and _root.gPaused == false)
         {
            _global.busy = true;
            _root.old_pPosX = _root.pPosX;
            _root.old_pPosY = _root.pPosY;
            if(dirs[_loc3_] == "LEFT")
            {
               _root.pPosX = _root.pPosX - 1;
               if(_root.pPosX < 0)
               {
                  _root.pPosX = 2;
               }
            }
            else if(dirs[_loc3_] == "RIGHT")
            {
               _root.pPosX = _root.pPosX + 1;
               if(_root.pPosX > 2)
               {
                  _root.pPosX = 0;
               }
            }
            else if(dirs[_loc3_] == "UP")
            {
               _root.pPosY = _root.pPosY - 1;
               if(_root.pPosY < 0)
               {
                  _root.pPosY = 1;
               }
            }
            else if(dirs[_loc3_] == "DOWN")
            {
               _root.pPosY = _root.pPosY + 1;
               if(_root.pPosY > 1)
               {
                  _root.pPosY = 0;
               }
            }
            if(_root.gotkey == false)
            {
               _root.gotkey = true;
               placePlayer();
            }
         }
         _loc3_ = _loc3_ + 1;
      }
   }
};
placePlayer = function()
{
   pClip = _root.gMain.pChar;
   wPath = "x" + _root.old_pPosX + "_" + _root.pPosX + "y" + _root.old_pPosY + "_" + _root.pPosY;
   pClip.gotoAndPlay(wPath);
};
placeCarrot = function()
{
   if(_root.ppGo == false)
   {
      var _loc2_ = random(250);
      if(_loc2_ == 7)
      {
         _root.ppGo = true;
         _root.ppPosX = random(3);
         _root.ppPosY = random(2);
         setCarrot();
         _root.gMain.carrot._x = _root.pXPositions[_root.ppPosX] + 50;
         _root.gMain.carrot._y = _root.pYPositions[_root.ppPosY][_root.ppPosX] + 15;
         _root.gMain.carrot.gotoAndPlay("appear");
      }
   }
};
setCarrot = function()
{
   if(_root.ppPosY == 0)
   {
      if(_root.ppPosX == 0)
      {
         _root.gMain.carrot.swapDepths(157);
      }
      else if(_root.ppPosX == 1)
      {
         _root.gMain.carrot.swapDepths(257);
      }
      else if(_root.ppPosX == 2)
      {
         _root.gMain.carrot.swapDepths(257);
      }
   }
   else if(_root.ppPosY == 1)
   {
      if(_root.ppPosX == 0)
      {
         _root.gMain.carrot.swapDepths(357);
      }
      else if(_root.ppPosX == 1)
      {
         _root.gMain.carrot.swapDepths(457);
      }
      else if(_root.ppPosX == 2)
      {
         _root.gMain.carrot.swapDepths(457);
      }
   }
};
checkForGameEnd = function()
{
   if(_root.lifeFlag == true)
   {
      _root.section = 7;
      world.nextFrame();
      play();
   }
};
grabCarrot = function()
{
   if(_root.ppGo == true and _root.gotkey == false and _root.cGrabbed == false)
   {
      if(_root.ppPosX == _root.pPosX and _root.ppPosY == _root.pPosY)
      {
         _root.cGrabbed = true;
         _root.gMain.carrot.swapDepths(695);
         _root.gMain.carrot.gotoAndPlay("grabbed");
         playSFX("giveLife");
         score += 100;
         displayScore();
      }
   }
};
movePlayer = function()
{
};
createObj = function(ob)
{
   ObjsDepth += 5;
   name = "Objs" + ObjsDepth;
   oClipName = "Objs_clip" + ObjsDepth;
   _root.gMain.attachMovie("obj",oClipName,ObjsDepth);
   this[name] = {};
   ob = this[name];
   ob.clip = _root.gMain[oClipName];
   resetObj(ob);
   gopherSet(ob,i * 2);
   objsArray.push(ob);
   placeObjs(ob);
};
_global.initiateObjs = function()
{
   while(objNum < objMax)
   {
      _root.objDelayVal = _root.objDelayVal + 1;
      if(_root.objDelayVal > _root.objDelayMax)
      {
         createObj(objNum);
         objNum++;
         objDelayVal = 0;
      }
   }
};
resetObj = function(ob)
{
   ob.sPos = random(6);
   ob.oldSPos = ob.sPos;
   ob.eggCheck = true;
   while(ob.eggCheck == true)
   {
      if(_root.eggSpots[ob.sPos] == 1 and _root.gophersOnStage[ob.sPos] == 0)
      {
         ob.eggCheck = false;
         ob.eGo = true;
      }
      else if(_root.eggSpots[ob.sPos] == 0 or _root.gophersOnStage[ob.sPos] == 1)
      {
         ob.sPos = ob.sPos + 1;
         if(ob.sPos > 5)
         {
            ob.sPos = 0;
         }
         if(ob.sPos == ob.oldSPos)
         {
            ob.eggCheck = false;
            ob.eGo = false;
         }
      }
   }
   if(ob.eGo == true)
   {
      _root.gophersOnStage[ob.sPos] = 1;
      ob.oPosX = _root.objStartPositions[ob.sPos][0];
      ob.oPosY = _root.objStartPositions[ob.sPos][1];
      ob.oPosMag = _root.objStartPositions[ob.sPos][2];
      ob.endX = _root.objEndPositions[ob.sPos][0];
      ob.endY = _root.objEndPositions[ob.sPos][1];
      ob.endMag = _root.objEndPositions[ob.sPos][2];
      ob.speed = 120 - (level * 5 + (random(5) + 1) * 5 + level) - (6 - _root.allEggs) * 2;
      ob.smacked = false;
      ob.missed = false;
      ob.deltaX = (ob.endX - ob.oPosX) / ob.speed;
      ob.deltaY = (ob.endY - ob.oPosY) / ob.speed;
      ob.steps = ob.speed;
      ob.actVal = 1;
      ob.waitGo = false;
      ob.waitVal = 0;
      ob.waitValMax = 40 - (6 - _root.allEggs) * 2;
      ob.deltaMag = (ob.endMag - ob.oPosMag) / ob.speed;
      ob.clip.gotoAndPlay("digging");
      onStage++;
   }
   else
   {
      ob.oPosX = -200;
      ob.oPosY = -50;
      ob.waitGo = true;
      ob.actVal = 5;
      ob.waitVal = 0;
      ob.waitValMax = 40;
   }
};
placeObjs = function(ob)
{
   ob.clip._x = ob.oPosX;
   ob.clip._y = ob.oPosY;
   ob.clip._xscale = ob.oPosMag;
   ob.clip._yscale = ob.oPosMag;
};
gopherClearCount = function(obj, val)
{
   objCount--;
   onStage--;
   displayLeft();
   if(objCount > onStage)
   {
      resetObj(obj);
      gopherSet(obj,val);
   }
   else if(objCount == 0)
   {
      _root.lClearMessage.gotoAndPlay("on");
      playSFX("endLevel");
      gPlay = false;
      clearAllObjects();
   }
};
moveObjs = function()
{
   i = 0;
   while(i < objsArray.length)
   {
      ob = objsArray[i];
      ob.oPosX += ob.deltaX;
      ob.oPosY += ob.deltaY;
      if(ob.waitGo == false)
      {
         ob.steps--;
      }
      if(ob.steps < 0)
      {
         if(ob.waitGo == false)
         {
            ob.steps = 0;
            ob.waitGo = true;
            ob.deltaX = 0;
            ob.deltaY = 0;
            ob.clip.gotoAndPlay("popUp");
            ob.actVal = 2;
            gopherSet(ob,i * 2);
         }
      }
      if(ob.actVal == 5)
      {
         ob.waitVal = ob.waitVal + 1;
      }
      if(ob.waitGo == true)
      {
         ob.waitVal = ob.waitVal + 1;
         if(ob.waitVal == 5 and ob.actVal == 4)
         {
            var _loc2_ = "egg" + ob.sPos;
            world.gMain[_loc2_].gotoAndPlay("out");
            _root.eggSpots[ob.sPos] = 0;
            _root.allEggs = _root.allEggs - 1;
         }
      }
      if(ob.waitVal <= ob.waitValMax and ob.waitGo == true and ob.actVal <= 3)
      {
         if(ob.sPos == 0)
         {
            checkForRabbit(0,0,1,0,ob);
         }
         else if(ob.sPos == 1)
         {
            checkForRabbit(1,0,2,0,ob);
         }
         else if(ob.sPos == 2)
         {
            checkForRabbit(0,0,0,1,ob);
         }
         else if(ob.sPos == 3)
         {
            checkForRabbit(2,0,2,1,ob);
         }
         else if(ob.sPos == 4)
         {
            checkForRabbit(0,1,1,1,ob);
         }
         else if(ob.sPos == 5)
         {
            checkForRabbit(1,1,2,1,ob);
         }
      }
      else if(ob.waitVal >= ob.waitValMax)
      {
         if(ob.actVal == 5)
         {
            resetObj(obj);
            gopherSet(ob,i * 2);
         }
         if(ob.smacked == false and ob.missed == false)
         {
            if(ob.actVal == 2)
            {
               if(lives > 0)
               {
                  ob.actVal = 3;
               }
               ob.clip.gotoAndPlay("sneak");
               ob.waitVal = 0;
            }
            else if(ob.actVal == 3)
            {
               _root.gophersOnStage[ob.sPos] = 0;
               ob.actVal = 4;
               if(ob.sPos == 0 or ob.sPos == 2 or ob.sPos == 4)
               {
                  ob.clip.gotoAndPlay("stealL");
               }
               else if(ob.sPos == 1 or ob.sPos == 3 or ob.sPos == 5)
               {
                  ob.clip.gotoAndPlay("stealR");
               }
               ob.missed = true;
               ob.waitVal = 0;
            }
         }
         else if(ob.missed == true)
         {
            lives--;
            world.gMain.lifeMeter.gotoAndPlay("loseLife" + lives);
            if(lives == 0)
            {
               gPlay = false;
               clearAllObjects();
               _root.lGameMess.gotoAndPlay("on");
               lives = -1;
            }
            gopherClearCount(ob,i * 2);
         }
         if(ob.smacked == true)
         {
            gopherClearCount(ob,i * 2);
            ob.waitVal = 0;
            score += 25;
            displayScore();
         }
      }
      if(ob.deltaMag < 0)
      {
         ob.deltaMag = - ob.deltaMag;
         ob.oPosMag -= ob.deltaMag;
         if(ob.oPosMag < 100)
         {
            ob.oPosMag = 100;
         }
      }
      else if(ob.deltaMag > 0)
      {
         ob.oPosMag += ob.deltaMag;
         if(ob.oPosMag > 100)
         {
            ob.oPosMag = 100;
         }
      }
      placeObjs(ob);
      i++;
   }
};
clearAllObjects = function()
{
   var _loc1_ = 0;
   while(_loc1_ < objsArray.length)
   {
      removeMovieClip(objsArray[_loc1_].clip);
      _loc1_ = _loc1_ + 1;
   }
   objsArray = [];
};
checkForBonus = function()
{
   var _loc2_ = bonusList[bVal - 1];
   if(_root.score >= _loc2_)
   {
      _root.bonusGo = true;
      _root.bPosX = random(3);
      _root.bPosY = random(2);
      bVal++;
      world.gMain.bonusAnim.gotoAndPlay("on");
      world.gMain.bonusAnim.iHolder.attachMovie("shadow","bShadow",1);
      world.gMain.bonusAnim.iHolder.attachMovie("heart","bItem",10);
      world.gMain.bonusAnim.iHolder.bShadow._y = world.gMain.bonusAnim.chick._y + 76;
      world.gMain.bonusAnim.iHolder.bShadow._xscale = 50;
      world.gMain.bonusAnim.iHolder.bShadow._yscale = 50;
   }
};
moveBonus = function()
{
   if(_root.bonusGo == true)
   {
      bClip = world.gMain.bonusAnim.iHolder;
      bChick = world.gMain.bonusAnim.chick;
      if(_root.bLanded == false)
      {
         if(_root.bonusDrop == false)
         {
            bClip._x = bChick._x;
            bClip._y = bChick._y + 10;
         }
         else if(_root.bonusDrop == true)
         {
            bClip.bItem._y = bClip.bItem._y + 1;
            bFallY -= 2;
            if(bFallY < 0)
            {
               _root.bLanded = true;
            }
         }
      }
      else if(_root.bLanded == true)
      {
      }
   }
};
_global.checkBonusSpot = function(spotX, spotY)
{
   if(spotX == _root.bPosX and spotY == _root.bPosY)
   {
      _root.bonusDrop = true;
   }
};
_global.setEggs = function()
{
   i = 0;
   while(i < _root.eggSpots.length)
   {
      getSpot = _root.eggSpots[i];
      wEgg = "egg" + i;
      if(getSpot == 1)
      {
         world.gMain[wEgg].gotoAndPlay("growth");
      }
      else if(getSpot == 0)
      {
         world.gMain[wEgg].gotoAndPlay("out");
      }
      i++;
   }
};
giveBackEgg = function()
{
   i = 0;
   while(i < _root.eggSpots.length)
   {
      var _loc3_ = _root.eggSpots[i];
      if(_loc3_ == 0)
      {
         _root.eggSpots[i] = 1;
         var _loc2_ = "egg" + i;
         world.gMain[_loc2_].gotoAndPlay("growth");
         _root.allEggs = _root.allEggs + 1;
         break;
      }
      i++;
   }
};
_global.catchBonus = function()
{
   if(_root.bonusGo == true and _root.bLanded == true and _root.gotkey == false)
   {
      if(_root.bPosX == _root.pPosX and _root.bPosY == _root.pPosY)
      {
         world.gMain.bonusAnim.swapDepths(695);
         world.gMain.bonusAnim.iHolder.bItem.gotoAndPlay("grabbed");
         playSFX("giveBonus");
         if(lives < 3)
         {
            lives++;
            displayLives();
            giveBackEgg();
            score += 100;
            displayScore();
            world.gMain.bonusAnim.iHolder.bItem.points.gotoAndStop(1);
         }
         else if(lives >= 3)
         {
            score += 100;
            displayScore();
            world.gMain.bonusAnim.iHolder.bItem.points.gotoAndStop(2);
         }
         bFallY = 150;
         _root.bonusGo = false;
         _root.bPosX = null;
         _root.bPosY = null;
         _root.bonusDrop = false;
         _root.bonusGo = false;
         _root.bLanded = false;
         removeMovieClip(world.gMain.bonusAnim.iHolder.bShadow);
      }
   }
};
checkForRabbit = function(bPosX1, bPosY1, bPosX2, bPosY2, obj)
{
   if(_root.whompin == false and _global.busy == false)
   {
      if(bPosX1 == _root.pPosX and bPosY1 == _root.pPosY and ob.smacked == false)
      {
         _root.gophersOnStage[ob.sPos] = 0;
         if(bPosX1 == 0 and ob.sPos == 2)
         {
            gMain.pChar.pActions.gotoAndPlay("wLeft");
            if(_root.pPosY == 0)
            {
               _root.adJustBunny = true;
               gMain.pChar.swapDepths(390);
            }
         }
         else
         {
            gMain.pChar.pActions.gotoAndPlay("wRight");
            if(ob.sPos == 4)
            {
               _root.adJustBunny = true;
               gMain.pChar.swapDepths(590);
            }
         }
         _root.whompin = true;
         playSFX("impact");
         ob.clip.gotoAndPlay("whomped");
         ob.smacked = true;
         ob.waitValMax = 50;
         ob.waitVal = 0;
         _root.allGophers = _root.allGophers + 1;
      }
      else if(bPosX2 == _root.pPosX and bPosY2 == _root.pPosY and ob.smacked == false)
      {
         _root.gophersOnStage[ob.sPos] = 0;
         if(bPosX2 == 2 and ob.sPos == 3)
         {
            if(_root.pPosY == 0)
            {
               _root.adJustBunny = true;
               gMain.pChar.swapDepths(490);
            }
            gMain.pChar.pActions.gotoAndPlay("wRight");
         }
         else
         {
            gMain.pChar.pActions.gotoAndPlay("wLeft");
            if(ob.sPos == 5)
            {
               _root.adJustBunny = true;
               gMain.pChar.swapDepths(690);
            }
         }
         playSFX("impact");
         _root.whompin = true;
         ob.clip.gotoAndPlay("whomped");
         ob.smacked = true;
         ob.waitValMax = 75;
         ob.waitVal = 0;
         _root.allGophers = _root.allGophers + 1;
      }
   }
};
displayLevel = function()
{
   _root.levelDis = "LEVEL:" + level;
};
displayScore = function()
{
   _root.scoreDis = "SCORE:" + score;
};
displayLives = function()
{
   world.gMain.lifeMeter.gotoAndPlay("lives" + lives);
};
displayLeft = function()
{
   _root.gophLeft = "GOPHERS:" + objCount;
};
_global.mainGameFuncs = function()
{
   if(gPlay == true and gPause == false)
   {
      checkForBonus();
      moveBonus();
      catchBonus();
      moveObjs();
      placeCarrot();
      grabCarrot();
   }
   checkForGameEnd();
};
_global.playSFX = function(wSFX)
{
   world.sfx.gotoAndPlay(wSFX);
};
_global.playBGM = function(wBGM)
{
   world.bgm.gotoAndPlay(wBGM);
};
_global.gopherSet = function(ob, val)
{
   if(ob.sPos == 0)
   {
      ob.clip.swapDepths(105 + val);
      trace("depth:" + (105 + val));
   }
   else if(ob.sPos == 1)
   {
      ob.clip.swapDepths(205 + val);
   }
   else if(ob.sPos == 2)
   {
      ob.clip.swapDepths(305 + val);
   }
   else if(ob.sPos == 3)
   {
      ob.clip.swapDepths(405 + val);
   }
   else if(ob.sPos == 4)
   {
      ob.clip.swapDepths(505 + val);
   }
   else if(ob.sPos == 5)
   {
      ob.clip.swapDepths(605 + val);
   }
};
_global.bunnySet = function()
{
   if(_root.pPosY == 0)
   {
      if(_root.pPosX == 0)
      {
         _root.gMain.pChar.swapDepths(290);
      }
      else if(_root.pPosX == 1)
      {
         _root.gMain.pChar.swapDepths(290);
      }
      else if(_root.pPosX == 2)
      {
         _root.gMain.pChar.swapDepths(390);
      }
   }
   else if(_root.pPosY == 1)
   {
      if(_root.pPosX == 0)
      {
         _root.gMain.pChar.swapDepths(490);
      }
      else if(_root.pPosX == 1)
      {
         _root.gMain.pChar.swapDepths(690);
      }
      else if(_root.pPosX == 2)
      {
         _root.gMain.pChar.swapDepths(490);
      }
   }
};
_global.placeStageSets = function()
{
   _root.gMain.egg0.swapDepths(100);
   _root.gMain.egg1.swapDepths(200);
   _root.gMain.egg2.swapDepths(300);
   _root.gMain.egg3.swapDepths(400);
   _root.gMain.egg4.swapDepths(500);
   _root.gMain.egg5.swapDepths(600);
   _root.gMain.fgBush1.swapDepths(1500);
   _root.gMain.fgBush2.swapDepths(1505);
   bunnySet();
};
Stage.showMenu = false;
